interface Options {
    successCallback?: Function;
    errorCallback?: Function;
}
/**
 * @param {Function} fn - async function to be called
 * @param {object} options - options for the hook
 *      @param {Function} successCallback - callback to be called when promise resolves
 *      @param {Function} errorCallback - callback to be called when promise rejects
 * @param {Array} deps array of dependencies
 * @returns {Array} - [loading, data, error, execute] - loading, data and error properties of the operation & a function to execute the operation again forcefully without any dependance change.
 */
export declare function useAsync(fn: () => Promise<any>, options?: Options, deps?: Array<any>): Array<any>;
export {};
